API ReferenceRuns

List sub-agents

GET
/v1/runs/{run_id}/subagents

Returns direct sub-agents started by one run.

Authorization

bearerAuth
AuthorizationBearer <token>

Send a SimpleServe API key as Authorization: Bearer <key>.

In: header

Path Parameters

run_id*string
Match^run_[A-Za-z0-9]+$

Query Parameters

limit?integer
Range1 <= value <= 20
Default20
cursor?string|null

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/runs/string/subagents"
{  "object": "list",  "data": [    {      "run_id": "string",      "thread_id": "string",      "agent_id": "string",      "agent_name": "string",      "agent_logo_url": "string",      "status": "queued",      "depth": 1,      "title": "string",      "status_text": "string",      "output_text": "string",      "cost_usd": 0,      "updated_at": "2019-08-24T14:15:22Z",      "error": {        "message": "string",        "type": "invalid_request_error",        "param": "string",        "code": "invalid_request"      }    }  ],  "has_more": true,  "next_cursor": "string"}